Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/ChangeLog	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -1,2 +1,21 @@
+2010-03-12	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* ftpd/ftpd.c, httpd/asp.c, httpd/ejparse.c, httpd/emfdb.c,
+	httpd/misc.c, httpd/um.c, httpd/webs.c, httpd/websuemf.c,
+	libfs/src/dosfs/msdos_dir.c, libfs/src/dosfs/msdos_format.c,
+	libfs/src/dosfs/msdos_misc.c, libfs/src/nfsclient/src/nfs.c,
+	libmisc/capture/capture-cli.c, libmisc/monitor/mon-network.c,
+	libmisc/shell/hexdump-odsyntax.c, libmisc/shell/main_ifconfig.c,
+	libmisc/shell/shell.c, libmisc/shell/shell_makeargs.c,
+	libmisc/uuid/parse.c, libnetworking/libc/gethostbydns.c,
+	libnetworking/libc/gethostbyht.c, libnetworking/libc/gethostnamadr.c,
+	libnetworking/libc/getnetnamadr.c, libnetworking/libc/inet_addr.c,
+	libnetworking/libc/inet_network.c, libnetworking/libc/res_debug.c,
+	libnetworking/libc/res_init.c, libnetworking/libc/res_query.c,
+	libnetworking/rtems/rtems_mii_ioctl.c,
+	score/src/objectgetnameasstring.c: Readdress use of ctype methods per
+	recommendation from D.J. Delorie on the newlib mailing list. We
+	should pass an unsigned char into these methods.
+
 2010-03-11	Sebastian Huber <sebastian.huber@embedded-brains.de>
 
Index: cpukit/ftpd/ftpd.c
===================================================================
--- cpukit/ftpd/ftpd.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/ftpd/ftpd.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -1569,16 +1569,16 @@
   char* last = NULL;
   while(1) {
-    while(isspace((int)*buf))
+    while(isspace((unsigned char)*buf))
       ++buf;
     if(*buf == '-') {
       if(*++buf == '-') { /* `--' should terminate options */
-        if(isspace((int)*++buf)) {
+        if(isspace((unsigned char)*++buf)) {
           last = buf;
           do ++buf;
-          while(isspace((int)*buf));
+          while(isspace((unsigned char)*buf));
           break;
         }
       }
-      while(*buf && !isspace((int)*buf))
+      while(*buf && !isspace((unsigned char)*buf))
         ++buf;
       last = buf;
@@ -1613,10 +1613,10 @@
   char* eoc;
   char* p = buf;
-  while(isspace((int)*p))
+  while(isspace((unsigned char)*p))
     ++p;
   *cmd = p;
-  while(*p && !isspace((int)*p))
-  {
-    *p = toupper((int)*p);
+  while(*p && !isspace((unsigned char)*p))
+  {
+    *p = toupper((unsigned char)*p);
     ++p;
   }
@@ -1624,5 +1624,5 @@
   if(*p)
     *p++ = '\0';
-  while(isspace((int)*p))
+  while(isspace((unsigned char)*p))
     ++p;
   *opts = p;
Index: cpukit/httpd/asp.c
===================================================================
--- cpukit/httpd/asp.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/httpd/asp.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -288,5 +288,5 @@
 	s1 = skipWhite(s1);
 	len = gstrlen(s2);
-	for (len = gstrlen(s2); len > 0 && (tolower((int)*s1) == tolower((int)*s2)); len--) {
+	for (len = gstrlen(s2); len > 0 && (tolower((unsigned char)*s1) == tolower((unsigned char)*s2)); len--) {
 		if (*s2 == '\0') {
 			return s1;
@@ -313,5 +313,5 @@
 		return s;
 	}
-	while (*s && gisspace((int)*s)) {
+	while (*s && gisspace((unsigned char)*s)) {
 		s++;
 	}
Index: cpukit/httpd/ejparse.c
===================================================================
--- cpukit/httpd/ejparse.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/httpd/ejparse.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -1145,5 +1145,5 @@
 
 	lval = 0;
-	if (gisdigit((int)*lhs) && gisdigit((int)*rhs)) {
+	if (gisdigit((unsigned char)*lhs) && gisdigit((unsigned char)*rhs)) {
 		l = gatoi(lhs);
 		r = gatoi(rhs);
@@ -1160,5 +1160,5 @@
 		}
 	} else {
-		if (!gisdigit((int)*lhs)) {
+		if (!gisdigit((unsigned char)*lhs)) {
 			ejError(ep, T("Conditional must be numeric"), lhs);
 		} else {
@@ -1191,5 +1191,5 @@
 	numeric = 1;
 	for (cp = lhs; *cp; cp++) {
-		if (!gisdigit((int)*cp)) {
+		if (!gisdigit((unsigned char)*cp)) {
 			numeric = 0;
 			break;
@@ -1199,5 +1199,5 @@
 	if (numeric) {
 		for (cp = rhs; *cp; cp++) {
-			if (!gisdigit((int)*cp)) {
+			if (!gisdigit((unsigned char)*cp)) {
 				numeric = 0;
 				break;
Index: cpukit/httpd/emfdb.c
===================================================================
--- cpukit/httpd/emfdb.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/httpd/emfdb.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -981,5 +981,5 @@
 static char_t *trim(char_t *str)
 {
-	while (isspace((int)*str)) {
+	while (isspace((unsigned char)*str)) {
 		str++;
 	}
Index: cpukit/httpd/misc.c
===================================================================
--- cpukit/httpd/misc.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/httpd/misc.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -282,5 +282,5 @@
 				c = *fmt++;
 			} else {
-				for ( ; gisdigit((int)c); c = *fmt++) {
+				for ( ; gisdigit((unsigned char)c); c = *fmt++) {
 					width = width * 10 + (c - '0');
 				}
@@ -293,5 +293,5 @@
 					c = *fmt++;
 				} else {
-					for (prec = 0; gisdigit((int)c); c = *fmt++) {
+					for (prec = 0; gisdigit((unsigned char)c); c = *fmt++) {
 						prec = prec * 10 + (c - '0');
 					}
Index: cpukit/httpd/um.c
===================================================================
--- cpukit/httpd/um.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/httpd/um.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -1420,5 +1420,5 @@
 	if (name && *name) {
 		while (*name) {
-			if (gisspace((int)*name)) {
+			if (gisspace((unsigned char)*name)) {
 				return FALSE;
 			}
Index: cpukit/httpd/webs.c
===================================================================
--- cpukit/httpd/webs.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/httpd/webs.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -862,5 +862,5 @@
 		}
 
-		while (gisspace((int)*value)) {
+		while (gisspace((unsigned char)*value)) {
 			value++;
 		}
@@ -898,5 +898,5 @@
  */
 			cp = authType;
-			while (gisalpha((int)*cp)) {
+			while (gisalpha((unsigned char)*cp)) {
 				cp++;
 			}
Index: cpukit/httpd/websuemf.c
===================================================================
--- cpukit/httpd/websuemf.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/httpd/websuemf.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -85,5 +85,5 @@
 
 	do {
-		rc = gtolower((int)*s1) - gtolower((int)*s2);
+		rc = gtolower((unsigned char)*s1) - gtolower((unsigned char)*s2);
 		if (*s1 == '\0') {
 			break;
Index: cpukit/libfs/src/dosfs/msdos_dir.c
===================================================================
--- cpukit/libfs/src/dosfs/msdos_dir.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libfs/src/dosfs/msdos_dir.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -147,5 +147,5 @@
   len = i;
   while (i-- > 0) {
-    *dst++ = tolower((int)(*src_tmp++));
+    *dst++ = tolower((unsigned char)(*src_tmp++));
   }
   /*
@@ -166,5 +166,5 @@
     src_tmp = src + MSDOS_SHORT_BASE_LEN;
     while (i-- > 0) {
-      *dst++ = tolower((int)(*src_tmp++));
+      *dst++ = tolower((unsigned char)(*src_tmp++));
       len++;
     }
Index: cpukit/libfs/src/dosfs/msdos_format.c
===================================================================
--- cpukit/libfs/src/dosfs/msdos_format.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libfs/src/dosfs/msdos_format.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -649,5 +649,5 @@
 	 cnt < (sizeof(fmt_params->OEMName)-1);
 	 cnt++) {
-      if (isprint((int)*from)) {
+      if (isprint((unsigned char)*from)) {
 	*to++ = *from++;
       }
@@ -680,5 +680,5 @@
 	 cnt < (sizeof(fmt_params->VolLabel)-1);
 	 cnt++) {
-      if (isprint((int)*from)) {
+      if (isprint((unsigned char)*from)) {
 	*to++ = *from++;
       }
Index: cpukit/libfs/src/dosfs/msdos_misc.c
===================================================================
--- cpukit/libfs/src/dosfs/msdos_misc.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libfs/src/dosfs/msdos_misc.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -66,5 +66,5 @@
         return MSDOS_NAME_LONG;
 
-    if ((ch == '.') || isalnum((int)ch) ||
+    if ((ch == '.') || isalnum((unsigned char)ch) ||
         (strchr("$%'-_@~`!(){}^#&", ch) != NULL))
         return MSDOS_NAME_SHORT;
Index: cpukit/libfs/src/nfsclient/src/nfs.c
===================================================================
--- cpukit/libfs/src/nfsclient/src/nfs.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libfs/src/nfsclient/src/nfs.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -3263,5 +3263,5 @@
 	}
 
-	if (isdigit((int)*host)) {
+	if (isdigit((unsigned char)*host)) {
 		/* avoid using gethostbyname */
 		sprintf(dev,"%s:%s",uidhost,path);
Index: cpukit/libmisc/capture/capture-cli.c
===================================================================
--- cpukit/libmisc/capture/capture-cli.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libmisc/capture/capture-cli.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -643,5 +643,5 @@
 
   for (i = 0; i < l; i++)
-    if (!isxdigit ((int)arg[i]))
+    if (!isxdigit ((unsigned char)arg[i]))
       break;
 
@@ -1325,5 +1325,5 @@
 
       for (i = 0; i < l; i++)
-        if (!isdigit ((int)argv[arg][i]))
+        if (!isdigit ((unsigned char)argv[arg][i]))
         {
           fprintf (stdout, "error: not a number\n");
Index: cpukit/libmisc/monitor/mon-network.c
===================================================================
--- cpukit/libmisc/monitor/mon-network.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libmisc/monitor/mon-network.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -71,5 +71,5 @@
     } else {
         iface = argv[1];
-        if (isdigit((int)*argv[2])) {
+        if (isdigit((unsigned char)*argv[2])) {
             if (inet_pton(AF_INET, argv[2], &ipaddr.sin_addr) < 0) {
                 printf("bad ip address: %s\n", argv[2]);
Index: cpukit/libmisc/shell/hexdump-odsyntax.c
===================================================================
--- cpukit/libmisc/shell/hexdump-odsyntax.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libmisc/shell/hexdump-odsyntax.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -220,5 +220,5 @@
 
 	if (*p != '+' && (argc < 2 ||
-	    (!isdigit((int)p[0]) && (p[0] != 'x' || !isxdigit((int)p[1])))))
+	    (!isdigit((unsigned char)p[0]) && (p[0] != 'x' || !isxdigit((unsigned char)p[1])))))
 		return;
 
@@ -230,5 +230,5 @@
 	if (p[0] == '+')
 		++p;
-	if (p[0] == 'x' && isxdigit((int)p[1])) {
+	if (p[0] == 'x' && isxdigit((unsigned char)p[1])) {
 		++p;
 		base = 16;
@@ -240,7 +240,7 @@
 	/* skip over the number */
 	if (base == 16)
-		for (num = p; isxdigit((int)*p); ++p);
+		for (num = p; isxdigit((unsigned char)*p); ++p);
 	else
-		for (num = p; isdigit((int)*p); ++p);
+		for (num = p; isdigit((unsigned char)*p); ++p);
 
 	/* check for no number */
Index: cpukit/libmisc/shell/main_ifconfig.c
===================================================================
--- cpukit/libmisc/shell/main_ifconfig.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libmisc/shell/main_ifconfig.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -74,5 +74,5 @@
   } else {
     iface = argv[1];
-    if (isdigit((int)*argv[2])) {
+    if (isdigit((unsigned char)*argv[2])) {
       if (inet_pton(AF_INET, argv[2], &ipaddr.sin_addr) < 0) {
         printf("bad ip address: %s\n", argv[2]);
Index: cpukit/libmisc/shell/shell.c
===================================================================
--- cpukit/libmisc/shell/shell.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libmisc/shell/shell.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -766,5 +766,5 @@
           c = cmds[cmd];
           while (*c) {
-            if (!isblank((int)*c))
+            if (!isblank((unsigned char)*c))
               break;
             c++;
Index: cpukit/libmisc/shell/shell_makeargs.c
===================================================================
--- cpukit/libmisc/shell/shell_makeargs.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libmisc/shell/shell_makeargs.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -35,5 +35,5 @@
   while ( *ch ) {
 
-    while ( isspace((int)*ch) ) ch++;
+    while ( isspace((unsigned char)*ch) ) ch++;
 
     if ( *ch == '\0' )
@@ -45,5 +45,5 @@
     } else {
       argv_p[ argc++ ] = ch;
-      while ( ( *ch == '\0' ) && ( !isspace((int)*ch) ) ) ch++;
+      while ( ( *ch == '\0' ) && ( !isspace((unsigned char)*ch) ) ) ch++;
     }
 
Index: cpukit/libmisc/uuid/parse.c
===================================================================
--- cpukit/libmisc/uuid/parse.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libmisc/uuid/parse.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -62,5 +62,5 @@
 			if (*cp == 0)
 				continue;
-		if (!isxdigit((int)*cp))
+		if (!isxdigit((unsigned char)*cp))
 			return -1;
 	}
Index: cpukit/libnetworking/libc/gethostbydns.c
===================================================================
--- cpukit/libnetworking/libc/gethostbydns.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libnetworking/libc/gethostbydns.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -517,5 +517,5 @@
 	 * they end in a dot.
 	 */
-	if (isdigit((int)name[0]))
+	if (isdigit((unsigned char)name[0]))
 		for (cp = name;; ++cp) {
 			if (!*cp) {
@@ -546,8 +546,8 @@
 				return (&host);
 			}
-			if (!isdigit((int)*cp) && *cp != '.') 
+			if (!isdigit((unsigned char)*cp) && *cp != '.') 
 				break;
 		}
-	if ((isxdigit((int)name[0]) && strchr(name, ':') != NULL) ||
+	if ((isxdigit((unsigned char)name[0]) && strchr(name, ':') != NULL) ||
 	    name[0] == ':')
 		for (cp = name;; ++cp) {
@@ -577,5 +577,5 @@
 				return (&host);
 			}
-			if (!isxdigit((int)*cp) && *cp != ':' && *cp != '.') 
+			if (!isxdigit((unsigned char)*cp) && *cp != ':' && *cp != '.') 
 				break;
 		}
Index: cpukit/libnetworking/libc/gethostbyht.c
===================================================================
--- cpukit/libnetworking/libc/gethostbyht.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libnetworking/libc/gethostbyht.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -253,5 +253,5 @@
   /* first, the ip number */
   pe->h_name=cur;
-  while (cur<last && !isspace((int)*cur)) cur++;
+  while (cur<last && !isspace((unsigned char)*cur)) cur++;
   if (cur>=last) return 0;
   if (*cur=='\n') goto parseerror;
@@ -279,7 +279,7 @@
   /* now the aliases */
   for (aliasidx=0;aliasidx<9;++aliasidx) {
-    while (cur<last && isblank((int)*cur)) ++cur;
+    while (cur<last && isblank((unsigned char)*cur)) ++cur;
     pe->h_aliases[aliasidx]=cur;
-    while (cur<last && !isspace((int)*cur)) ++cur;
+    while (cur<last && !isspace((unsigned char)*cur)) ++cur;
     {
       char *from=pe->h_aliases[aliasidx];
@@ -292,5 +292,5 @@
     }
     if (*cur=='\n') { ++cur; ++aliasidx; break; }
-    if (cur>=last || !isblank((int)*cur)) break;
+    if (cur>=last || !isblank((unsigned char)*cur)) break;
     cur++;
   }
Index: cpukit/libnetworking/libc/gethostnamadr.c
===================================================================
--- cpukit/libnetworking/libc/gethostnamadr.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libnetworking/libc/gethostnamadr.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -103,5 +103,5 @@
 				continue;
 			do {
-				if (isalpha((int)cp[0])) {
+				if (isalpha((unsigned char)cp[0])) {
 					service_order[cc] = get_service_name(cp);
 					if(service_order[cc] != SERVICE_NONE)
Index: cpukit/libnetworking/libc/getnetnamadr.c
===================================================================
--- cpukit/libnetworking/libc/getnetnamadr.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libnetworking/libc/getnetnamadr.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -102,5 +102,5 @@
 				continue;
 			do {
-				if (isalpha((int)cp[0])) {
+				if (isalpha((unsigned char)cp[0])) {
 					service_order[cc] = get_service_name(cp);
 					if(service_order[cc] != SERVICE_NONE)
Index: cpukit/libnetworking/libc/inet_addr.c
===================================================================
--- cpukit/libnetworking/libc/inet_addr.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libnetworking/libc/inet_addr.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -103,5 +103,5 @@
 		 * 0x=hex, 0=octal, isdigit=decimal.
 		 */
-		if (!isdigit((int)c))
+		if (!isdigit((unsigned char)c))
 			return (0);
 		val = 0; base = 10;
@@ -114,10 +114,10 @@
 		}
 		for (;;) {
-			if (isascii((int)c) && isdigit((int)c)) {
+			if (isascii((unsigned char)c) && isdigit((unsigned char)c)) {
 				val = (val * base) + (c - '0');
 				c = *++cp;
-			} else if (base == 16 && isascii((int)c) && isxdigit((int)c)) {
+			} else if (base == 16 && isascii((unsigned char)c) && isxdigit((unsigned char)c)) {
 				val = (val << 4) |
-					(c + 10 - (islower((int)c) ? 'a' : 'A'));
+					(c + 10 - (islower((unsigned char)c) ? 'a' : 'A'));
 				c = *++cp;
 			} else
@@ -141,5 +141,5 @@
 	 * Check for trailing characters.
 	 */
-	if (c != '\0' && (!isascii((int)c) || !isspace((int)c)))
+	if (c != '\0' && (!isascii((unsigned char)c) || !isspace((unsigned char)c)))
 		return (0);
 	/*
Index: cpukit/libnetworking/libc/inet_network.c
===================================================================
--- cpukit/libnetworking/libc/inet_network.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libnetworking/libc/inet_network.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -63,11 +63,11 @@
 		base = 16, cp++;
 	while ((c = *cp) != 0) {
-		if (isdigit((int)c)) {
+		if (isdigit((unsigned char)c)) {
 			val = (val * base) + (c - '0');
 			cp++;
 			continue;
 		}
-		if (base == 16 && isxdigit((int)c)) {
-			val = (val << 4) + (c + 10 - (islower((int)c) ? 'a' : 'A'));
+		if (base == 16 && isxdigit((unsigned char)c)) {
+			val = (val << 4) + (c + 10 - (islower((unsigned char)c) ? 'a' : 'A'));
 			cp++;
 			continue;
@@ -81,5 +81,5 @@
 		goto again;
 	}
-	if (*cp && !isspace((int)*cp))
+	if (*cp && !isspace((unsigned char)*cp))
 		return (INADDR_NONE);
 	*pp++ = val;
Index: cpukit/libnetworking/libc/res_debug.c
===================================================================
--- cpukit/libnetworking/libc/res_debug.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libnetworking/libc/res_debug.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -580,12 +580,12 @@
 	cp = *strptr;
 
-	while (isdigit((int)*cp))
+	while (isdigit((unsigned char)*cp))
 		mval = mval * 10 + (*cp++ - '0');
 
 	if (*cp == '.') {		/* centimeters */
 		cp++;
-		if (isdigit((int)*cp)) {
+		if (isdigit((unsigned char)*cp)) {
 			cmval = (*cp++ - '0') * 10;
-			if (isdigit((int)*cp)) {
+			if (isdigit((unsigned char)*cp)) {
 				cmval += (*cp++ - '0');
 			}
@@ -621,32 +621,32 @@
 	cp = *latlonstrptr;
 
-	while (isdigit((int)*cp))
+	while (isdigit((unsigned char)*cp))
 		deg = deg * 10 + (*cp++ - '0');
 
-	while (isspace((int)*cp))
-		cp++;
-
-	if (!(isdigit((int)*cp)))
+	while (isspace((unsigned char)*cp))
+		cp++;
+
+	if (!(isdigit((unsigned char)*cp)))
 		goto fndhemi;
 
-	while (isdigit((int)*cp))
+	while (isdigit((unsigned char)*cp))
 		min = min * 10 + (*cp++ - '0');
 
-	while (isspace((int)*cp))
-		cp++;
-
-	if (!(isdigit((int)*cp)))
+	while (isspace((unsigned char)*cp))
+		cp++;
+
+	if (!(isdigit((unsigned char)*cp)))
 		goto fndhemi;
 
-	while (isdigit((int)*cp))
+	while (isdigit((unsigned char)*cp))
 		secs = secs * 10 + (*cp++ - '0');
 
 	if (*cp == '.') {		/* decimal seconds */
 		cp++;
-		if (isdigit((int)*cp)) {
+		if (isdigit((unsigned char)*cp)) {
 			secsfrac = (*cp++ - '0') * 100;
-			if (isdigit((int)*cp)) {
+			if (isdigit((unsigned char)*cp)) {
 				secsfrac += (*cp++ - '0') * 10;
-				if (isdigit((int)*cp)) {
+				if (isdigit((unsigned char)*cp)) {
 					secsfrac += (*cp++ - '0');
 				}
@@ -655,8 +655,8 @@
 	}
 
-	while (!isspace((int)*cp))	/* if any trailing garbage */
-		cp++;
-
-	while (isspace((int)*cp))
+	while (!isspace((unsigned char)*cp))	/* if any trailing garbage */
+		cp++;
+
+	while (isspace((unsigned char)*cp))
 		cp++;
 
@@ -696,8 +696,8 @@
 	cp++;			/* skip the hemisphere */
 
-	while (!isspace((int)*cp))	/* if any trailing garbage */
-		cp++;
-
-	while (isspace((int)*cp))	/* move to next field */
+	while (!isspace((unsigned char)*cp))	/* if any trailing garbage */
+		cp++;
+
+	while (isspace((unsigned char)*cp))	/* move to next field */
 		cp++;
 
@@ -757,12 +757,12 @@
 		cp++;
 
-	while (isdigit((int)*cp))
+	while (isdigit((unsigned char)*cp))
 		altmeters = altmeters * 10 + (*cp++ - '0');
 
 	if (*cp == '.') {		/* decimal meters */
 		cp++;
-		if (isdigit((int)*cp)) {
+		if (isdigit((unsigned char)*cp)) {
 			altfrac = (*cp++ - '0') * 10;
-			if (isdigit((int)*cp)) {
+			if (isdigit((unsigned char)*cp)) {
 				altfrac += (*cp++ - '0');
 			}
@@ -772,8 +772,8 @@
 	alt = (10000000 + (altsign * (altmeters * 100 + altfrac)));
 
-	while (!isspace((int)*cp) && (cp < maxcp)) /* if trailing garbage or m */
-		cp++;
-
-	while (isspace((int)*cp) && (cp < maxcp))
+	while (!isspace((unsigned char)*cp) && (cp < maxcp)) /* if trailing garbage or m */
+		cp++;
+
+	while (isspace((unsigned char)*cp) && (cp < maxcp))
 		cp++;
 
@@ -783,8 +783,8 @@
 	siz = precsize_aton(&cp);
 	
-	while (!isspace((int)*cp) && (cp < maxcp))	/* if trailing garbage or m */
-		cp++;
-
-	while (isspace((int)*cp) && (cp < maxcp))
+	while (!isspace((unsigned char)*cp) && (cp < maxcp))	/* if trailing garbage or m */
+		cp++;
+
+	while (isspace((unsigned char)*cp) && (cp < maxcp))
 		cp++;
 
@@ -794,8 +794,8 @@
 	hp = precsize_aton(&cp);
 
-	while (!isspace((int)*cp) && (cp < maxcp))	/* if trailing garbage or m */
-		cp++;
-
-	while (isspace((int)*cp) && (cp < maxcp))
+	while (!isspace((unsigned char)*cp) && (cp < maxcp))	/* if trailing garbage or m */
+		cp++;
+
+	while (isspace((unsigned char)*cp) && (cp < maxcp))
 		cp++;
 
Index: cpukit/libnetworking/libc/res_init.c
===================================================================
--- cpukit/libnetworking/libc/res_init.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libnetworking/libc/res_init.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -341,5 +341,5 @@
 			net = cp;
 			while (*cp && !ISSORTMASK(*cp) && *cp != ';' &&
-			       isascii((int)*cp) && !isspace((int)*cp))
+			       isascii((unsigned char)*cp) && !isspace((unsigned char)*cp))
 				cp++;
 			n = *cp;
@@ -351,5 +351,5 @@
 				net = cp;
 				while (*cp && *cp != ';' &&
-					isascii((int)*cp) && !isspace((int)*cp))
+					isascii((unsigned char)*cp) && !isspace((unsigned char)*cp))
 				    cp++;
 				n = *cp;
Index: cpukit/libnetworking/libc/res_query.c
===================================================================
--- cpukit/libnetworking/libc/res_query.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libnetworking/libc/res_query.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -385,5 +385,5 @@
 	buf[sizeof(buf) - 1] = '\0';
 	while (fgets(buf, sizeof(buf), fp)) {
-		for (cp1 = buf; *cp1 && !isspace((int)*cp1); ++cp1)
+		for (cp1 = buf; *cp1 && !isspace((unsigned char)*cp1); ++cp1)
 			;
 		if (!*cp1)
@@ -391,9 +391,9 @@
 		*cp1 = '\0';
 		if (!strcasecmp(buf, name)) {
-			while (isspace((int)*++cp1))
+			while (isspace((unsigned char)*++cp1))
 				;
 			if (!*cp1)
 				break;
-			for (cp2 = cp1 + 1; *cp2 && !isspace((int)*cp2); ++cp2)
+			for (cp2 = cp1 + 1; *cp2 && !isspace((unsigned char)*cp2); ++cp2)
 				;
 			abuf[sizeof(abuf) - 1] = *cp2 = '\0';
Index: cpukit/libnetworking/rtems/rtems_mii_ioctl.c
===================================================================
--- cpukit/libnetworking/rtems/rtems_mii_ioctl.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/libnetworking/rtems/rtems_mii_ioctl.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -159,7 +159,7 @@
       if (!strncmp (chpt, "ase", 3))
         chpt += 3;
-      if (toupper ((int)*chpt++) != 'T')
+      if (toupper ((unsigned char)*chpt++) != 'T')
         return 0;
-      if (IFM_100_TX == sub && toupper ((int)*chpt++) != 'X')
+      if (IFM_100_TX == sub && toupper ((unsigned char)*chpt++) != 'X')
         return 0;
     }
Index: cpukit/score/src/objectgetnameasstring.c
===================================================================
--- cpukit/score/src/objectgetnameasstring.c	(revision 3c02c9dd47039d8c33abeaf5b85b55f654ae805e)
+++ cpukit/score/src/objectgetnameasstring.c	(revision bab5c5fac0fba6b6e0735e8bd9dfecb7bd474700)
@@ -85,5 +85,5 @@
       if ( s ) {
         for ( i=0 ; i<(length-1) && *s ; i++, s++, d++ ) {
-          *d = (isprint((int)*s)) ? *s : '*';
+          *d = (isprint((unsigned char)*s)) ? *s : '*';
         }
       }
